Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class CharDataGenerator

    java.lang.Object
      org.apache.jasper.compiler.GeneratorBase
          org.apache.jasper.compiler.CharDataGenerator

All Implemented Interfaces:
  Generator, ServiceMethodPhase

Direct Known Subclasses:
  MappedCharDataGenerator

public class CharDataGenerator
extends org.apache.jasper.compiler.GeneratorBase
implements ServiceMethodPhase

CharDataGenerator generates the character data present in the JSP file. Typically this is HTML which lands up as strings in out.println(...).

Author:
  Anil K. Vijendran

Field Summary
`protected JspCompilationContext` | `ctxt`

Constructor Summary
`CharDataGenerator(char[] chars)`

Method Summary
`void` | `generate(ServletWriter writer, java.lang.Class phase)`
`boolean` | `generateCoordinates(java.lang.Class phase)`
`void` | `init(JspCompilationContext ctxt)`
`protected void` | `writeChar(char c, java.lang.StringBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctxt

    protected JspCompilationContext ctxt

Constructor Detail

### CharDataGenerator

    public CharDataGenerator(char[] chars)

Method Detail

### generate

    public void generate(ServletWriter writer,
                         java.lang.Class phase)

  Specified by:
    `generate` in interface `Generator`

### writeChar

    protected void writeChar(char c,
                             java.lang.StringBuffer buf)

### init

    public void init(JspCompilationContext ctxt)
              throws JasperException

  Specified by:
    `init` in interface `Generator`
  Throws:
    `JasperException`

### generateCoordinates

    public boolean generateCoordinates(java.lang.Class phase)

  Specified by:
    `generateCoordinates` in interface `Generator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.